<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSettingSerializationString Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d1f/a04333.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSettingSerializationString Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionSettingSerializationString:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d1f/a04333.png" usemap="#ExpansionSettingSerializationString_map" alt=""/>
  <map id="ExpansionSettingSerializationString_map" name="ExpansionSettingSerializationString_map">
<area href="../../dc/d08/a04317.html" alt="ExpansionSettingSerializationBase" shape="rect" coords="0,0,210,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4471e2555d42d060513d90635faffc7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1f/a04333.html#a4471e2555d42d060513d90635faffc7f">SetTempValue</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> value)</td></tr>
<tr class="separator:a4471e2555d42d060513d90635faffc7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa01c7f7729a46af8e6c9a3450970a18"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1f/a04333.html#aaa01c7f7729a46af8e6c9a3450970a18">SetFromTemp</a> ()</td></tr>
<tr class="separator:aaa01c7f7729a46af8e6c9a3450970a18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea07424faef77339fc7f3910bcb3ffe9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1f/a04333.html#aea07424faef77339fc7f3910bcb3ffe9">GetValue</a> ()</td></tr>
<tr class="separator:aea07424faef77339fc7f3910bcb3ffe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a897c8ae3d32fb03ed35f8bc37e5f3559"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1f/a04333.html#a897c8ae3d32fb03ed35f8bc37e5f3559">SetValue</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> value)</td></tr>
<tr class="separator:a897c8ae3d32fb03ed35f8bc37e5f3559"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acc1b206131ba35a4c961653d9a186f13"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1f/a04333.html#acc1b206131ba35a4c961653d9a186f13">m_TempValue</a></td></tr>
<tr class="separator:acc1b206131ba35a4c961653d9a186f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d69/a00878.html">ExpansionSettingSerializationString.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00013">13</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aea07424faef77339fc7f3910bcb3ffe9" name="aea07424faef77339fc7f3910bcb3ffe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea07424faef77339fc7f3910bcb3ffe9">&#9670;&#160;</a></span>GetValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSettingSerializationString::GetValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00030">30</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>

</div>
</div>
<a id="aaa01c7f7729a46af8e6c9a3450970a18" name="aaa01c7f7729a46af8e6c9a3450970a18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa01c7f7729a46af8e6c9a3450970a18">&#9670;&#160;</a></span>SetFromTemp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSettingSerializationString::SetFromTemp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00023">23</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>

</div>
</div>
<a id="a4471e2555d42d060513d90635faffc7f" name="a4471e2555d42d060513d90635faffc7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4471e2555d42d060513d90635faffc7f">&#9670;&#160;</a></span>SetTempValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationString::SetTempValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00017">17</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>

</div>
</div>
<a id="a897c8ae3d32fb03ed35f8bc37e5f3559" name="a897c8ae3d32fb03ed35f8bc37e5f3559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a897c8ae3d32fb03ed35f8bc37e5f3559">&#9670;&#160;</a></span>SetValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSettingSerializationString::SetValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00041">41</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acc1b206131ba35a4c961653d9a186f13" name="acc1b206131ba35a4c961653d9a186f13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc1b206131ba35a4c961653d9a186f13">&#9670;&#160;</a></span>m_TempValue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSettingSerializationString::m_TempValue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d69/a00878_source.html#l00015">15</a> of file <a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/serialization/<a class="el" href="../../d5/d69/a00878_source.html">expansionsettingserializationstring.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d1f/a04333.html">ExpansionSettingSerializationString</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
